POST
Approve an agent for the account

Authorizations

Authorization
string
header
required

The authorization field takes the session bearer returned by sign-in, or an API key where the route allows keys. Paste the token itself into the authorization field.

Path Parameters

accountId
string
required
Minimum string length: 1

Body

application/json
userCode
string
required
Pattern: ^[BCDFGHJKLMNPQRSTVWXZ]{4}-[BCDFGHJKLMNPQRSTVWXZ]{4}$
scopes
enum<string>[]
required
Required array length: 1 - 2 elements
Available options:
read,
trade

Response

Success

version
string
required
Allowed value: "agent-connect-approve/v1"
accountId
string
required
Minimum string length: 1
clientName
string
required
Minimum string length: 1
scopes
enum<string>[]
required
Required array length: 1 - 2 elements
Available options:
read,
trade
keyLifetimeSeconds
integer
required
Required range: 300 <= x <= 604800
approvedAtEpochMs
integer
required
Required range: x >= 0